Kerbal Space Program - Bug #24907

Texture quality not persistent after restart
02/21/2020 02:19 PM - vhborges

Status: New Start date: 02/21/2020
Severity: Low % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 1.10.1 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Breaking Ground, Core Game

Description

Steps to reproduce:

1 - Enter Settings -> Graphics, and...

1.1 - If the Texture quality is not Full Res, set it to Full Res and click Accept.
1.2 - If it's already at Full Res, click Accept (not Cancel!).

2 - Look at the Kerbin's texture quality in the start screen. At this points it's (visually) Full Res.

3 - Restart the game

4 - Compare the current texture quality with the one from step 2. Now it's the same you'd got if you set your texture to Half Res.
5 - Enter Settings -> Graphics, the Texture quality option is still at Full Res, but (visually) it isn't, at least on Kerbin.

| didn't check if this bug applies to bodies/parts other than Kerbin.

History

#1 - 02/21/2020 02:30 PM - vhborges

- Description updated

#2 - 02/28/2020 09:39 AM - steve_v
- Version changed from 1.9.0 to 1.9.1

Problem still apparent, version updated to 1.9.1.
Probably a dupe of #24306, but it's additional info nonetheless.

#3 - 02/28/2020 11:09 AM - psycho_zs
I'm seeing inconsistent texture quality too. Debian testing, HD Graphics 520 (Skylake GT2).

Textures on planet surfaces from afar, parts, even some buttons and mod textures are lower than they should be. Settings are maxed out.

Tweaking texture settings in-game seems to fix at least some textures temporarily.

#4 - 08/16/2020 05:27 AM - steve_v

- Version changed from 1.9.1 to 1.10.1

#5 - 09/15/2020 10:17 PM - rfried

| confirm this bug.

A game that can not even store the settings seem a bit ridiculous and unfinished.
The game is still sold on steam with linux support, without mentioning that the linux

version does not support the same visual quality then the windows version.

Thanks steve for not giving up and report this every new version!
